Handshake failure, incompatible client

  • Hiya,
    So I was just trying to start up a new server with a freind of mine using the Medieval Minecraft [FABRIC] 1.18.2 pack. I Put on the Modpack Medieval Minecraft [FABRIC] and set the servers version to 1.18.2
    Everything seemed to work but when I tried to join the message [owo] handshake failure incompatible client came up
    My freind was able to join without any problem though.
    I tried joining via the Dynamic IP or whatever it's called in english, but that also doesn't work

    Does anyone know how I can fix this?